    The XSPEC lyman model: Voigt absorption profiles for H I or He II Lyman series.

xslyman
The xslyman model is a multiplicative model component.

The model is described at [1] .

The nhei and redshift parameters have been renamed to

n and z respectively to match the XSPEC definition. The names nhei and redshift can still be used to access the parameters, but they will be removed in a future release.

>>> create_model_component("xslyman", "mdl")
>>> print(mdl)

Create a component of the xslyman model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.n thawed 1e-05 0 1e+06 10^22 atoms / cm^2 mdl.b thawed 10 1 1e+06 km/s mdl.z thawed 0 -0.001 100000 mdl.ZA thawed 1 1 2

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
n
The H I or He II column density, in 10^22 atoms/cm^2.
b
The b value, in km/s.
z
The redshift of the absorber.
ZA
The atomic number of the species being calculated.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelLyman.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023